repaircost = getPlayerMobValue() ^ 0.65;
repaircost = repaircost * (1 - getPlayerHealth());
repaircost = intCast(repaircost);
repairInfo = getString("repair car") .. " $" .. repaircost;

if repaircost <= getPlayerCash() then
addMenuButton(repairInfo, "setPlayerHealth(1); setMobHealth(player, 1); setPlayerCash(getPlayerCash() - repaircost); gofile(\"store/store_dealer.lua\")", false);
else
addMenuButton(repairInfo .. getString("not enough cash"), " ", false);
end